<template>
    <div class="cloudUser">
        <el-table v-loading="loading" :data="cloudUserList">
            <el-table-column label="用户编号" align="center" prop="user_id" />

            <el-table-column label="职位名称" align="center" prop="title" />

            <el-table-column label="薪资范围" align="center" prop="emolument" />
            <el-table-column label="工作地点" align="center" prop="city" />
            <el-table-column label="经验要求" align="center" prop="experience" />
            <el-table-column label="学历要求" align="center" prop="education" />
            <el-table-column label="招聘人数" align="center" prop="person_count" />
            
            <el-table-column label="招聘人数" align="center" prop="person_count">
                <template slot-scope="scope">
                    <el-tag v-if="scope.row.status == 1" effect="dark" type="success">已发布</el-tag>
                    <el-tag v-if="scope.row.status == 0" effect="dark" type="danger">未发布</el-tag>
                </template>
            </el-table-column>
            <!-- <el-table-column label="操作" align="center" class-name="small-padding fixed-width">
                <template slot-scope="scope">
                    <el-button size="mini" type="text" icon="el-icon-delete" @click="delFn(scope.row)">删除</el-button>
                    <el-button size="mini" type="text" icon="el-icon-view" @click="detailFn(scope.row)"
                        >查看详情</el-button
                    >
                </template>
            </el-table-column> -->
        </el-table>
        <pagination
            v-show="total > 0"
            :total="total"
            :page.sync="queryParams.pageNum"
            :limit.sync="queryParams.pageSize"
            @pagination="getList"
        />
        <!-- 审核弹层 -->
        <el-dialog title="详情" :visible.sync="detailOpen" width="500px" append-to-body> </el-dialog>
    </div>
</template>

<script>
import { getJobAllList } from '@/api/cloudUser'
export default {
    data() {
        return {
            loading: false,
            cloudUserList: [],
            detailOpen: false,
            total: 0,
            queryParams: {
                pageNum: 1,
                pageSize: 10,
                title: null,
                city: null,
                company: null,
                phonenumber: null,
            },
        }
    },
    created() {
        this.getList()
    },
    methods: {
        getList() {
            this.loading = true
            getJobAllList(this.queryParams)
                .then((res) => {
                    this.loading = false
                    this.total = res.total
                    this.cloudUserList = res.rows
                })
                .catch((error) => {
                    this.loading = false
                })
        },
        delFn() {
            this.$confirm('此操作将永久云员工, 是否继续?', '提示', {
                confirmButtonText: '确定',
                cancelButtonText: '取消',
                type: 'warning',
            })
                .then(() => {
                    this.$message({
                        type: 'success',
                        message: '删除成功!',
                    })
                })
                .catch(() => {})
        },
        detailFn() {
            this.detailOpen = true
        },
        /** 搜索按钮操作 */
        handleQuery() {
            this.getList()
        },
        /** 重置按钮操作 */
        resetQuery() {
            this.resetForm('queryForm')
            this.handleQuery()
        },
    },
}
</script>

<style lang="scss" scoped>
.cloudUser {
    padding: 20px;
}
</style>